1.1
1.1
get /v1/privatelink-services
Description
PrivateLink Service 목록 조회
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | id optional | PrivateLink Service ID Example : | any of [string, null] | None |
| query | name optional | PrivateLink Service 명 Example : | any of [string, null] | None |
| query | vpc_id optional | VPC ID Example : | any of [string, null] | None |
| query | subnet_id optional | Subnet ID Example : | any of [string, null] | None |
| query | service_ip_address optional | Service IP 주소 Example : | any of [string, null] | None |
| query | connected_resource_id optional | 연결된 자원 ID Example : | any of [string, null] | None |
| query | connected_resource_type optional | 연결된 자원 Type Example : | any of [string, null] | None |
| query | connected_resource_name optional | 연결된 자원명 Example : | any of [string, null] | None |
| query | connected_resource_ip_address optional | 연결된 자원 IP 주소 Example : | any of [string, null] | None |
| query | state optional | PrivateLink Service 상태 Example : | any of [enum (CREATING, ACTIVE, DELETING, DELETED, ERROR), null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | PrivateLinkServiceListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/privatelink-services
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"
Example HTTP response
Response 200
{
"count": 20,
"page": 0,
"privatelink_services": [
{
"account_id": "",
"approval_type": "MANUAL",
"connected_resource_id": "",
"connected_resource_ip_address": "",
"connected_resource_name": "",
"connected_resource_type": "LB",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"service_ip_address": "",
"state": "CREATING",
"subnet_id": "",
"vpc_id": ""
}
],
"size": 20,
"sort": [
"created_at:asc"
]
}